[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpChdir

Change current working directory.

## Declaration

Source position: bunxh.inc line 74

`function FpChdir(`
`path: pChar`
`):cint; function FpChdir(`
`const path: RawByteString`
`):cint;`

## Description

fpChDir sets the current working directory to Path.

It returns zero if the call was successful, -1 on error.

Note: There exist a portable alternative to fpChDir: system.chdir. Please use fpChDir only if you are writing Unix specific code. System.chdir will work on all operating systems.

## Errors

Extended error information can be retrieved using fpGetErrno.

## See also

fpGetCwd |  | Retrieve the current working directory.